freebsd-ports/devel/autoconf26/files/patch-ad
2000-02-17 07:37:53 +00:00

22 lines
583 B
Plaintext

--- autoconf.sh.orig Tue Jan 5 07:27:53 1999
+++ autoconf.sh Wed Feb 16 11:17:50 2000
@@ -45,7 +45,6 @@
esac
: ${TMPDIR=/tmp}
-tmpout=${TMPDIR}/acout.$$
localdir=
show_version=no
@@ -97,7 +96,9 @@
trap 'rm -f $tmpin $tmpout; exit 1' 1 2 15
-tmpin=${TMPDIR}/acin.$$ # Always set this, to avoid bogus errors from some rm's.
+tmpout=`mktemp ${TMPDIR}/acout.XXXXXXXXXX` || exit 1
+tmpin=`mktemp ${TMPDIR}/acin.XXXXXXXXXX` || { rm -f $tmpout; exit 1; }
+# Always set this, to avoid bogus errors from some rm's.
if test z$infile = z-; then
infile=$tmpin
cat > $infile